<?php

// Check if the HTTP_REFERER is set and matches the expected URL
$expectedReferer = 'https://hayzeltech.com/Reports/api5.html'; // Replace with the actual URL of your HTML page
if (isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER'] === $expectedReferer) {
    // Continue with your script logic

    // ... rest of your existing code ...
    

// Function to obtain the Bearer Token from the first API
function obtainBearerToken() {
    // Make an API call to the first API to get the Bearer token
    $apiUrl = 'https://api.ads.com/ads/auth/login';

    // Set up the request data
    $requestData = array(
        'username' => 'hayzeltech',
        'password' => 'Liberty@54321',
        'secret_key' => '140353d5e557d1522222467ae19c06267b308ad2c687e11a01d23ba19b4b0bf0'
    );

    // Set up the headers
    $headers = array(
        'Content-Type: application/json',
        'Accept: application/json'
    );

    // Create a context for the HTTP request
    $context = stream_context_create(array(
        'http' => array(
            'method' => 'POST',
            'header' => implode("\r\n", $headers),
            'content' => json_encode($requestData)
        )
    ));

    // Send the request and get the response
    $response = file_get_contents($apiUrl, false, $context);

    if ($response !== false) {
        $data = json_decode($response, true);

        if ($data && isset($data['access_token'])) {
            $token = $data['access_token'];

            // Check if start_date and end_date are set in the URL
            $start_date = isset($_GET['start_date']) ? $_GET['start_date'] : '2023-10-31';
            $end_date = isset($_GET['end_date']) ? $_GET['end_date'] : '2023-11-01';

            fetchDataWithToken($token, $start_date, $end_date);
        } else {
            echo 'Error: Failed to obtain access token';
        }
    } else {
        echo 'Error: Failed to make the API request';
    }
}

// Function to fetch data using the Bearer Token and user-defined dates
function fetchDataWithToken($token, $start_date, $end_date) {
    // Set up the API endpoint for data retrieval
    $apiUrl = 'https://api.ads.com/ads/reports/parking-events';

    // Set up the request data with user-defined dates
    $requestData = array(
        "columns" => [
            "server_datetime",
            "domain_name",
            "visits",
            "clicks",
            "ctr",
            "epc",
            "estimated_revenue"
        ],
        "filter_by" => [
            [
                "column" => "server_datetime",
                "operator" => "between",
                "value" => [
                    $start_date . ' 00:00:00',
                    $end_date . ' 23:59:59'
                ]
            ],
            [
                "column" => "domain_name",
                "operator" => "!=",
                "value" => "carinsurancequotesuk.com"
            ],
            [
                "column" => "domain_name",
                "operator" => "!=",
                "value" => "mytravelinsuranceuk.com"
            ]
        ],
        "group_by" => [
            "server_datetime",
            "domain_name"
        ],
        "order_by" => [
            [
                "column" => "server_datetime",
                "order" => "asc"
            ]
        ],
        "page" => 1,
        "per_page" => 250
    );

    // Set up the headers, including the Bearer token
    $headers = array(
        'Content-Type: application/json',
        'Accept: application/json',
        'Authorization: Bearer ' . $token
    );

    // Create a context for the HTTP request
    $context = stream_context_create(array(
        'http' => array(
            'method' => 'POST',
            'header' => implode("\r\n", $headers),
            'content' => json_encode($requestData)
        )
    ));

    // Send the request and get the response
    $response = file_get_contents($apiUrl, false, $context);

    if ($response !== false) {
        // Display the raw output from the second API
        echo $response;
    } else {
        echo 'Error: Failed to make the API request';
    }
}

// Call the obtainBearerToken function to start the process
obtainBearerToken();



} else {
    // If the referer is not as expected, return an error or perform a different action
    http_response_code(403); // Forbidden
    echo 'Access forbidden';
    exit;
}

?>


