<?php
$servername = "localhost";
$username = "hayzelte_employee";
$password = "hayzelte_employee";
$dbname = "hayzelte_employee";

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get data from the form
$employeeName = $_POST['employeeName'];
$evaluationDate = $_POST['evaluationDate'];
$totalScore = $_POST['totalScore'];

// Insert or update evaluation
$stmt = $conn->prepare("INSERT INTO evaluations (employeeName, evaluation_date, total_score) VALUES (?, ?, ?) ON DUPLICATE KEY UPDATE total_score = VALUES(total_score)");
$stmt->bind_param("sss", $employeeName, $evaluationDate, $totalScore);
$stmt->execute();

// Check for errors in executing the statement
if ($stmt->errno) {
    echo "Error executing evaluation statement: " . $stmt->error;
    exit();
}

$stmt->close();

// Get the ID of the inserted evaluation
$evaluationId = $conn->insert_id;

// Check if evaluationId is valid
if ($evaluationId === 0) {
    // No auto-increment ID generated, likely due to an existing row being updated
    $selectStmt = $conn->prepare("SELECT id FROM evaluations WHERE employeeName = ? AND evaluation_date = ?");
    $selectStmt->bind_param("ss", $employeeName, $evaluationDate);
    $selectStmt->execute();
    $selectStmt->bind_result($evaluationId);
    $selectStmt->fetch();
    $selectStmt->close();

    if ($evaluationId === null) {
        echo "Error retrieving evaluation ID.";
        exit();
    }
}

// Insert or update scores in question_scores table
$stmt = $conn->prepare("INSERT INTO question_scores (evaluation_id, jobKnowledge, qualityOfWork, quantityOfWork, reliability, initiativeCreativity, judgment, cooperation, attendance, planningOrganizing, directingControlling, decisionMaking) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?) ON DUPLICATE KEY UPDATE jobKnowledge = VALUES(jobKnowledge), qualityOfWork = VALUES(qualityOfWork), quantityOfWork = VALUES(quantityOfWork), reliability = VALUES(reliability), initiativeCreativity = VALUES(initiativeCreativity), judgment = VALUES(judgment), cooperation = VALUES(cooperation), attendance = VALUES(attendance), planningOrganizing = VALUES(planningOrganizing), directingControlling = VALUES(directingControlling), decisionMaking = VALUES(decisionMaking)");
$stmt->bind_param("iiiiiiiiiiii", $evaluationId, $_POST['question_jobKnowledge'], $_POST['question_qualityOfWork'], $_POST['question_quantityOfWork'], $_POST['question_reliability'], $_POST['question_initiativeCreativity'], $_POST['question_judgment'], $_POST['question_cooperation'], $_POST['question_attendance'], $_POST['question_planningOrganizing'], $_POST['question_directingControlling'], $_POST['question_decisionMaking']);
$stmt->execute();
$stmt->close();


$conn->close();
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Alert</title>
    <script>
        alert("Data Updated Successfully");
        window.history.back();
    </script>
</head>
<body>
</body>
</html>
