<?php
include('auth.php'); 
$servername = "localhost";
$username = "hayzelte_employee";
$password = "hayzelte_employee";
$dbname = "hayzelte_employee";

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get employee name from the URL parameter
$employeeName = $_GET['employeeName'];

// Fetch employee details from evaluations table
$sqlEmployeeDetails = "SELECT id, evaluation_date, total_score FROM evaluations WHERE employeeName = '$employeeName'";
$resultEmployeeDetails = $conn->query($sqlEmployeeDetails);

// Check if employee exists
if ($resultEmployeeDetails->num_rows > 0) {
    // Create an associative array to organize scores by date and question
    $scoresByDate = [];

    // Fetch question scores for the specific employee
    while ($rowEmployee = $resultEmployeeDetails->fetch_assoc()) {
        $evaluationId = $rowEmployee['id'];
        $evaluationDate = date_create($rowEmployee['evaluation_date'])->format('jS M');

        $sqlQuestionScores = "SELECT * FROM question_scores WHERE evaluation_id = $evaluationId";
        $resultQuestionScores = $conn->query($sqlQuestionScores);

        // Organize scores by date and question
        while ($rowQuestion = $resultQuestionScores->fetch_assoc()) {
            foreach ($rowQuestion as $columnName => $score) {
                if ($columnName !== 'id' && $columnName !== 'evaluation_id') {
                    $scoresByDate[$evaluationDate][$columnName] = $score;
                }
            }
        }
    }

    // Close the connection
    $conn->close();

    // Output HTML with CSS for a visually appealing table
    echo "
    <!DOCTYPE html>
    <html lang='en'>
    <head>
        <meta charset='UTF-8'>
        <meta name='viewport' content='width=device-width, initial-scale=1'>
        <title>Score Details</title>
        <style>
            body {
                font-family: 'Arial', sans-serif;
                background-color: #f5f5f5;
                margin: 20px;
            }
            h1 {
                text-align: center;
                color: #333;
            }
            table {
                width: 80%;
                margin: 20px auto;
                border-collapse: collapse;
                background-color: #fff;
                box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            }
            th, td {
                padding: 12px;
                text-align: center;
                border-bottom: 1px solid #ddd;
                font-size: 14px;
            }
            th {
                background-color: #3498db;
                color: #fff;
            }
            td {
                background-color: #ecf0f1;
            }
        </style>
    </head>
    <body>
        <h1>Score Details for $employeeName</h1>
        <table border='1'>
            <tr>
                <th>Question Name</th>";

    // Output date headers
    foreach (array_keys($scoresByDate) as $date) {
        echo "<th>$date</th>";
    }

    echo "</tr>";

    // Output scores for each question
    foreach ($scoresByDate[key($scoresByDate)] as $questionName => $score) {
        echo "<tr>
                <td>$questionName</td>";

        // Output scores for each date
        foreach ($scoresByDate as $date => $scores) {
            echo "<td>" . ($scores[$questionName] ?? 'N/A') . "</td>";
        }

        echo "</tr>";
    }

    echo "</table>
    </body>
    </html>";
} else {
    echo "<p>No details available for $employeeName.</p>";
}
?>
